version mismatch macro help

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

version mismatch macro help

Michael Richardson

Last year I tried to provide a macro that would do version checks.
(In fact, I got it wrong in a stupid way)

Today I installed a pre 1.1.1c build in a VM for testing purposes.
What does /usr/sbin/sshd says:

# /usr/sbin/sshd
OpenSSL version mismatch. Built against 1010101f, you have 10101030

Clearly 10101030 >= 1010101f, and the major.minor version match, so there
really shouldn't be an issue.  But openssh seems to have got it wrong, as far
as I can tell.  I will submit a bug report soon.

Can we include a useful macro/test for applications to deal with this
consistently?

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [hidden email]  http://www.sandelman.ca/        |   ruby on rails    [




signature.asc (497 bytes) Download Attachment